org.jboss.netty.handler.codec.http.multipart

## Class HttpPostRequestDecoder.EndOfDataDecoderException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - org.jboss.netty.handler.codec.http.multipart.HttpPostRequestDecoder.EndOfDataDecoderException

- All Implemented Interfaces:
    Serializable
  Enclosing class:
    HttpPostRequestDecoder

      public static class HttpPostRequestDecoder.EndOfDataDecoderException
      extends Exception

  Exception when the body is fully decoded, even if there is still data
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `HttpPostRequestDecoder.EndOfDataDecoderException()`

  - ### Method Summary

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### HttpPostRequestDecoder.EndOfDataDecoderException

          public HttpPostRequestDecoder.EndOfDataDecoderException()

Copyright © 2008-2012 The Netty Project. All Rights Reserved.